| Disk ARchive 2.5.10 Full featured and portable backup and archiving tool

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Macros
path.hpp File Reference
API

here is the definition of the path classthe path class handle path and provide several operation on them More...

`#include "../my_config.h"`
`#include <list>`
`#include <string>`
`#include "erreurs.hpp"`
`#include "on_pool.hpp"`

Go to the source code of this file.

## Classes
class | libdar::path
| the class path is here to manipulate paths in the Unix notation: using'/' More...

## Namespaces
| libdar
| libdar namespace encapsulate all libdar symbols

## Macros
#define | FAKE_ROOT path(string("<ROOT>"), true)

## Detailed Description

here is the definition of the path class

the path class handle path and provide several operation on them

Definition in file path.hpp.